EMIT(1)

NAME
emit - emit a generic event

SYNOPSIS
emit EVENT_NAME [ARGUMENTS ...]

DESCRIPTION

emit emits, or fires, an event. Events are delivered to, or caught by, special functions called event handlers. The arguments are passed to the event handlers as function arguments.

The --help or -h option displays help about using this command.

EXAMPLE

The following code first defines an event handler for the generic event named 'test_event', and then emits an event of that type.

function event_test --on-event test_event
    echo event test: $argv
end
emit test_event something

NOTES

Note that events are only sent to the current fish process as there is no way to send events from one fish process to another.

COPYRIGHT
2023, fish-shell developers